## org.apache.mahout.cf.taste.similarity.precompute.example
Class GroupLensDataModel

    java.lang.Object
      org.apache.mahout.cf.taste.impl.model.AbstractDataModel
          org.apache.mahout.cf.taste.impl.model.file.FileDataModel
              org.apache.mahout.cf.taste.similarity.precompute.example.GroupLensDataModel

All Implemented Interfaces:
  Serializable, Refreshable, DataModel

    public final class GroupLensDataModel

extends FileDataModel

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.mahout.cf.taste.impl.model.file.FileDataModel
`DEFAULT_MIN_RELOAD_INTERVAL_MS`

Constructor Summary
`GroupLensDataModel()`
`GroupLensDataModel(File ratingsFile)`

Method Summary
`static File` `readResourceToTempFile(String resourceName)`
`String` `toString()`

Methods inherited from class org.apache.mahout.cf.taste.impl.model.file.FileDataModel

`buildModel, determineDelimiter, getDataFile, getItemIDs, getItemIDsFromUser, getMaxPreference, getMinPreference, getNumItems, getNumUsers, getNumUsersWithPreferenceFor, getNumUsersWithPreferenceFor, getPreferencesForItem, getPreferencesFromUser, getPreferenceTime, getPreferenceValue, getUserIDs, hasPreferenceValues, processFile, processFileWithoutID, processLine, processLineWithoutID, readItemIDFromString, readTimestampFromString, readUserIDFromString, refresh, reload, removePreference, setPreference`

Methods inherited from class org.apache.mahout.cf.taste.impl.model.AbstractDataModel
`setMaxPreference, setMinPreference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupLensDataModel

    public GroupLensDataModel()
                       throws IOException

Throws:
  `IOException`

### GroupLensDataModel

    public GroupLensDataModel(File ratingsFile)
                       throws IOException

Parameters:
  `ratingsFile` - GroupLens ratings.dat file in its native format
Throws:
  `IOException` - if an error occurs while reading or writing files

Method Detail

### readResourceToTempFile

    public static File readResourceToTempFile(String resourceName)
                                       throws IOException

  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `FileDataModel`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.